org.apache.ignite.internal.processors.cache

## Class GridCacheAtomicVersionComparator

- java.lang.Object
- - org.apache.ignite.internal.processors.cache.GridCacheAtomicVersionComparator

    public class GridCacheAtomicVersionComparator
    extends Object

Atomic cache version comparator.

### Constructor Summary

Constructors
Constructor and Description
`GridCacheAtomicVersionComparator()`

### Method Summary

All Methods Instance Methods Concrete Methods
`int` `compare(GridCacheVersion one, GridCacheVersion other)` Compares two cache versions.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### GridCacheAtomicVersionComparator

    public GridCacheAtomicVersionComparator()

### Method Detail

#### compare

    public int compare(GridCacheVersion one,
                       GridCacheVersion other)

Compares two cache versions.

Parameters:
  `one` - First version.
  `other` - Second version.
Returns:
  Comparison value.

${current.year} Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Database and Caching Platform | : ver. 2.7.6
Release Date | : September 11 2019